Trigger job
curl --request POST \
--url https://api.example.com/jobs/{id}/triggerimport requests
url = "https://api.example.com/jobs/{id}/trigger"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.example.com/jobs/{id}/trigger', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/jobs/{id}/trigger",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/jobs/{id}/trigger"
req, _ := http.NewRequest("POST", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/jobs/{id}/trigger")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/jobs/{id}/trigger")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
response = http.request(request)
puts response.read_body{
"id": "<string>",
"status_code": 123,
"success": true,
"response_time_ms": 123,
"fired_at": "<string>"
}Jobs
Trigger job
Fire a job’s webhook immediately
POST
/
jobs
/
{id}
/
trigger
Trigger job
curl --request POST \
--url https://api.example.com/jobs/{id}/triggerimport requests
url = "https://api.example.com/jobs/{id}/trigger"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.example.com/jobs/{id}/trigger', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/jobs/{id}/trigger",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/jobs/{id}/trigger"
req, _ := http.NewRequest("POST", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/jobs/{id}/trigger")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/jobs/{id}/trigger")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
response = http.request(request)
puts response.read_body{
"id": "<string>",
"status_code": 123,
"success": true,
"response_time_ms": 123,
"fired_at": "<string>"
}Manually triggers the job’s webhook without waiting for the scheduled time. The job’s status is updated to
completed or failed based on the webhook response.
Only jobs with
status: "pending" can be triggered. Already completed or failed jobs return a 400 error.Path parameters
string
required
The UUID of the job to trigger.
Response
Returns the execution result.integer
HTTP status code returned by the webhook endpoint.
boolean
true if the webhook returned a 2xx status code.integer
Execution time in milliseconds.
string
ISO 8601 timestamp of when the webhook was fired.
curl -X POST https://app.cronapi.dev/api/v1/jobs/b2c3d4e5-f6a7-8901-bcde-f12345678901/trigger \
-H "Authorization: Bearer your_api_key_here"
const response = await fetch(
`https://app.cronapi.dev/api/v1/jobs/${jobId}/trigger`,
{
method: "POST",
headers: { "Authorization": `Bearer your_api_key_here` },
}
);
const result = await response.json();
import requests
response = requests.post(
f"https://app.cronapi.dev/api/v1/jobs/{job_id}/trigger",
headers={"Authorization": "Bearer your_api_key_here"},
)
result = response.json()
200
{
"status_code": 200,
"success": true,
"response_time_ms": 230,
"fired_at": "2026-04-15T14:35:00.123Z"
}
400
{
"error": "Job already completed"
}
⌘I